Permalink
Browse files

Test against latest Rails dependencies

  • Loading branch information...
croaky committed Sep 20, 2012
1 parent f0dd005 commit ec13c73403b5bf8e1e5a1d8e61d02b88b3420aa2
View
@@ -1,4 +1,4 @@
-['3.0.15', '3.1.6', '3.2.6'].each do |rails_version|
+['3.0.17', '3.1.8', '3.2.8'].each do |rails_version|
appraise "#{rails_version}" do
gem 'rails', rails_version
end
View
@@ -28,7 +28,7 @@ Gem::Specification.new do |s|
s.add_development_dependency 'appraisal', '0.4.1'
s.add_development_dependency 'aruba', '0.4.11'
s.add_development_dependency 'bourne', '1.1.2'
- s.add_development_dependency 'bundler', '~> 1.1.3'
+ s.add_development_dependency 'bundler', '~> 1.2.0'
s.add_development_dependency 'capybara', '1.1.2'
s.add_development_dependency 'cucumber-rails', '1.1.1'
s.add_development_dependency 'database_cleaner', '0.8.0'
@@ -2,6 +2,6 @@
source "http://rubygems.org"
-gem "rails", "3.0.15"
+gem "rails", "3.0.17"
gemspec :path=>"../"
@@ -1,7 +1,7 @@
PATH
- remote: /home/mike/thoughtbot/clearance
+ remote: /Users/croaky/dev/clearance
specs:
- clearance (1.0.0.rc1)
+ clearance (1.0.0.rc2)
bcrypt-ruby
diesel (= 0.1.5)
rails (>= 3.0)
@@ -10,32 +10,32 @@ GEM
remote: http://rubygems.org/
specs:
abstract (1.0.0)
- actionmailer (3.0.15)
- actionpack (= 3.0.15)
+ actionmailer (3.0.17)
+ actionpack (= 3.0.17)
mail (~> 2.2.19)
- actionpack (3.0.15)
- activemodel (= 3.0.15)
- activesupport (= 3.0.15)
+ actionpack (3.0.17)
+ activemodel (= 3.0.17)
+ activesupport (= 3.0.17)
builder (~> 2.1.2)
erubis (~> 2.6.6)
i18n (~> 0.5.0)
rack (~> 1.2.5)
rack-mount (~> 0.6.14)
rack-test (~> 0.5.7)
tzinfo (~> 0.3.23)
- activemodel (3.0.15)
- activesupport (= 3.0.15)
+ activemodel (3.0.17)
+ activesupport (= 3.0.17)
builder (~> 2.1.2)
i18n (~> 0.5.0)
- activerecord (3.0.15)
- activemodel (= 3.0.15)
- activesupport (= 3.0.15)
+ activerecord (3.0.17)
+ activemodel (= 3.0.17)
+ activesupport (= 3.0.17)
arel (~> 2.0.10)
tzinfo (~> 0.3.23)
- activeresource (3.0.15)
- activemodel (= 3.0.15)
- activesupport (= 3.0.15)
- activesupport (3.0.15)
+ activeresource (3.0.17)
+ activemodel (= 3.0.17)
+ activesupport (= 3.0.17)
+ activesupport (3.0.17)
addressable (2.3.2)
appraisal (0.4.1)
bundler
@@ -80,10 +80,10 @@ GEM
factory_girl (~> 3.5.0)
railties (>= 3.0.0)
ffi (1.1.5)
- gherkin (2.11.1)
+ gherkin (2.11.2)
json (>= 1.4.6)
i18n (0.5.0)
- json (1.7.4)
+ json (1.7.5)
libwebsocket (0.1.5)
addressable
mail (2.2.19)
@@ -103,17 +103,17 @@ GEM
rack (>= 1.0.0)
rack-test (0.5.7)
rack (>= 1.0)
- rails (3.0.15)
- actionmailer (= 3.0.15)
- actionpack (= 3.0.15)
- activerecord (= 3.0.15)
- activeresource (= 3.0.15)
- activesupport (= 3.0.15)
+ rails (3.0.17)
+ actionmailer (= 3.0.17)
+ actionpack (= 3.0.17)
+ activerecord (= 3.0.17)
+ activeresource (= 3.0.17)
+ activesupport (= 3.0.17)
bundler (~> 1.0)
- railties (= 3.0.15)
- railties (3.0.15)
- actionpack (= 3.0.15)
- activesupport (= 3.0.15)
+ railties (= 3.0.17)
+ railties (3.0.17)
+ actionpack (= 3.0.17)
+ activesupport (= 3.0.17)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (~> 0.14.4)
@@ -125,9 +125,9 @@ GEM
rspec-expectations (~> 2.11.0)
rspec-mocks (~> 2.11.0)
rspec-core (2.11.1)
- rspec-expectations (2.11.2)
+ rspec-expectations (2.11.3)
diff-lcs (~> 1.1.3)
- rspec-mocks (2.11.1)
+ rspec-mocks (2.11.2)
rspec-rails (2.11.0)
actionpack (>= 3.0)
activesupport (>= 3.0)
@@ -158,13 +158,13 @@ DEPENDENCIES
appraisal (= 0.4.1)
aruba (= 0.4.11)
bourne (= 1.1.2)
- bundler (~> 1.1.3)
+ bundler (~> 1.2.0)
capybara (= 1.1.2)
clearance!
cucumber-rails (= 1.1.1)
database_cleaner (= 0.8.0)
factory_girl_rails (= 3.5.0)
- rails (= 3.0.15)
+ rails (= 3.0.17)
rspec-rails (= 2.11.0)
shoulda-matchers (= 1.2.0)
sqlite3 (= 1.3.6)
@@ -2,6 +2,6 @@
source "http://rubygems.org"
-gem "rails", "3.2.6"
+gem "rails", "3.1.8"
gemspec :path=>"../"
@@ -1,20 +1,20 @@
PATH
- remote: /home/mike/thoughtbot/clearance
+ remote: /Users/croaky/dev/clearance
specs:
- clearance (1.0.0.rc1)
+ clearance (1.0.0.rc2)
bcrypt-ruby
diesel (= 0.1.5)
rails (>= 3.0)
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.1.6)
- actionpack (= 3.1.6)
+ actionmailer (3.1.8)
+ actionpack (= 3.1.8)
mail (~> 2.3.3)
- actionpack (3.1.6)
- activemodel (= 3.1.6)
- activesupport (= 3.1.6)
+ actionpack (3.1.8)
+ activemodel (= 3.1.8)
+ activesupport (= 3.1.8)
builder (~> 3.0.0)
erubis (~> 2.7.0)
i18n (~> 0.6)
@@ -23,19 +23,19 @@ GEM
rack-mount (~> 0.8.2)
rack-test (~> 0.6.1)
sprockets (~> 2.0.4)
- activemodel (3.1.6)
- activesupport (= 3.1.6)
+ activemodel (3.1.8)
+ activesupport (= 3.1.8)
builder (~> 3.0.0)
i18n (~> 0.6)
- activerecord (3.1.6)
- activemodel (= 3.1.6)
- activesupport (= 3.1.6)
+ activerecord (3.1.8)
+ activemodel (= 3.1.8)
+ activesupport (= 3.1.8)
arel (~> 2.2.3)
tzinfo (~> 0.3.29)
- activeresource (3.1.6)
- activemodel (= 3.1.6)
- activesupport (= 3.1.6)
- activesupport (3.1.6)
+ activeresource (3.1.8)
+ activemodel (= 3.1.8)
+ activesupport (= 3.1.8)
+ activesupport (3.1.8)
multi_json (>= 1.0, < 1.3)
addressable (2.3.2)
appraisal (0.4.1)
@@ -50,7 +50,7 @@ GEM
bcrypt-ruby (3.0.1)
bourne (1.1.2)
mocha (= 0.10.5)
- builder (3.0.0)
+ builder (3.0.3)
capybara (1.1.2)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
@@ -80,11 +80,11 @@ GEM
factory_girl (~> 3.5.0)
railties (>= 3.0.0)
ffi (1.1.5)
- gherkin (2.11.1)
+ gherkin (2.11.2)
json (>= 1.4.6)
hike (1.2.1)
- i18n (0.6.0)
- json (1.7.4)
+ i18n (0.6.1)
+ json (1.7.5)
libwebsocket (0.1.5)
addressable
mail (2.3.3)
@@ -107,17 +107,17 @@ GEM
rack
rack-test (0.6.1)
rack (>= 1.0)
- rails (3.1.6)
- actionmailer (= 3.1.6)
- actionpack (= 3.1.6)
- activerecord (= 3.1.6)
- activeresource (= 3.1.6)
- activesupport (= 3.1.6)
+ rails (3.1.8)
+ actionmailer (= 3.1.8)
+ actionpack (= 3.1.8)
+ activerecord (= 3.1.8)
+ activeresource (= 3.1.8)
+ activesupport (= 3.1.8)
bundler (~> 1.0)
- railties (= 3.1.6)
- railties (3.1.6)
- actionpack (= 3.1.6)
- activesupport (= 3.1.6)
+ railties (= 3.1.8)
+ railties (3.1.8)
+ actionpack (= 3.1.8)
+ activesupport (= 3.1.8)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
@@ -130,9 +130,9 @@ GEM
rspec-expectations (~> 2.11.0)
rspec-mocks (~> 2.11.0)
rspec-core (2.11.1)
- rspec-expectations (2.11.2)
+ rspec-expectations (2.11.3)
diff-lcs (~> 1.1.3)
- rspec-mocks (2.11.1)
+ rspec-mocks (2.11.2)
rspec-rails (2.11.0)
actionpack (>= 3.0)
activesupport (>= 3.0)
@@ -168,13 +168,13 @@ DEPENDENCIES
appraisal (= 0.4.1)
aruba (= 0.4.11)
bourne (= 1.1.2)
- bundler (~> 1.1.3)
+ bundler (~> 1.2.0)
capybara (= 1.1.2)
clearance!
cucumber-rails (= 1.1.1)
database_cleaner (= 0.8.0)
factory_girl_rails (= 3.5.0)
- rails (= 3.1.6)
+ rails (= 3.1.8)
rspec-rails (= 2.11.0)
shoulda-matchers (= 1.2.0)
sqlite3 (= 1.3.6)
@@ -2,6 +2,6 @@
source "http://rubygems.org"
-gem "rails", "3.1.6"
+gem "rails", "3.2.8"
gemspec :path=>"../"
Oops, something went wrong.

0 comments on commit ec13c73

Please sign in to comment.